Bug 57541 - aspell not working with emacs flyspell on NFS filesystem
aspell not working with emacs flyspell on NFS filesystem
Product: Red Hat Linux
Classification: Retired
Component: aspell (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2001-12-15 01:09 EST by oreilly
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-12-15 14:25:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description oreilly 2001-12-15 01:09:23 EST
Description of Problem:
Fiirst, since upgrading from RH 6.2 to 7.2 flyspell mode in emacs has been 
much slower, which can be attributable to the switch from ispell to aspell, I 
assume.  This is annoying and *almost* makes me want to turn off flyspell -- 
is there any way to make aspell work faster in this context?

Second, since installing the recent util-linux update (v 2.11f, rel 17), emacs 
flyspell mode will now hang emacs after closing a file (or sending an email 
under rmail) where flyspell was active, and then opening a new file/email.  
Also, upon exiting emacs, it reports that an aspell process is still running.

IMPORTANT: this only occurs when running on an NFS mounted filesystem.  
When I do this on the identically configured system where my home directory 
is a local drive, or on my identically configured laptop at home, there is no 
hanging, and everything works as normal (i.e., slowly but surely).

Version-Release number of selected component (if applicable):

How Reproducible:
every time

Steps to Reproduce:
1. open a file in emacs and turn on flyspell mode, on a system where
   your home directory is mounted from an NFS server (i.e. not on a local        
   hard drive)
2. scroll down a few lines, then close this buffer
3. open the same file again, scroll down a few lines, and you're hung
4. this probably requires there to be some kind of mispelling to be 
enountered to produce the hang: the files i've tested with are all latex docs 
that have various latex code that gets flagged at the start.1. 

Actual Results:
emacs hangs, needs to be terminated with kill

Expected Results:
no hanging

Additional Information:
Comment 1 oreilly 2001-12-15 14:25:10 EST
actually, it looks like aspell doesn't work at all under emacs when run within an 
NFS-mounted home directory.  So, just running ispell-buffer under emacs results 
in a pause followed by a message: "aspell did not output version line".  Again, this 
is only on NFS, running on the machine with the local disk is fine.

So it sounds like some kind of file locking bug.
Comment 2 Trond Eivind Glomsrxd 2001-12-18 14:54:03 EST
Probably a local configuration or interaction issue, both flyspell and aspell
work well on NFS mounted home dirs - it's what I'm developing on.


Note You need to log in before you can comment on or make changes to this bug.